Subject: Re: [karp] Mapping of OSPFv2 Key to "Database of Long-Lived Symmetric Cryptographic Keys" (<draft-ietf-karp-crypto-key-table-01.txt>) - Resending with Tim's Email Address Corrected

From: Uma Chunduri <[email-masked]>
Date: Thu, 1 Sep 2011 16:46:30 -0400

>>>>> "Acee" == Acee Lindem <[email-masked]> writes:

    Acee> You are correct that it is the same pair of routers
    Acee> communicating. However, you can have multiple virtual links
    Acee> through different transit areas. Today, these can be the same
    Acee> or different keys/key chains.  I guess one could argue that
    Acee> they do not need to differ. However, we allow different keys
    Acee> on different interfaces for unicast transmission over
    Acee> non-virtual links given the key existing key database keys (or
    Acee> should I call them indices to avoid confusion).

OK.
so, we either need to accept these will be the same keys or we need to include some rather protocol-specific details in the key table.

If you're using a per-peer keying strategy, then there's not a lot of reason to use different keys.  If you're using a per-area keying strategy and using the same key across an area then I'm not sure how we should represent this in the crypto draft.

[Uma] Isn't it already represented as in the crypto draft  - group key?
       - Generally group key could be per one area (i.e, all interfaces in that area uses the same key)
       - but, in virtual link scenario if area key is being used today this has to be same for 
                  - backbone area
                  - transit area
                  - non-backbone area